Skip to main content
Creates a new agent with staging version. The agent will be created with an initial staging version that can later be promoted to production.
POST https://services.leadconnectorhq.com/agent-studio/agent

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Query parameters

source
string
default:"api"

Body

locationId
string
default:"C2QujeCh8ZnC7al2InWR"
required
Account ID
name
string
default:"Customer Support Agent"
Name of the agent
description
string
Description of the agent
agencyId
string
default:"gjL2sFNXJfJYa3d2OYSN"
Agency ID
authorId
string
default:"usr_abc123def456"
Author ID
authorName
string
default:"John Doe"
Author name
authorEmail
string
default:"john@example.com"
Author email
status
string
default:"active"
required
Status of the agent Posibles valores: ‘active’, ‘inactive’, ‘archived’
version
object
required
Version data for the agent including nodes, edges, and configuration
nodes
string[]
Nodes array (deprecated, prefer using version.nodes)
edges
string[]
Edges array (deprecated, prefer using version.edges)

Respuestas

success
boolean
default:"True"
required
Success status
message
string
required
Response message
agent
object
required
Created agent data with metadata
versions
object[]
required
Created versions array (initial staging version)
{
  "success": true,
  "message": "Agent created successfully with staging version.",
  "agent": {
    "agentId": "p1q2r3s4t5u6v7w8x9y0z1a2",
    "name": "Customer Support Agent",
    "description": "AI agent specialized in handling customer inquiries and support tickets",
    "locationId": "C2QujeCh8ZnC7al2InWR",
    "agencyId": "gjL2sFNXJfJYa3d2OYSN",
    "status": "active",
    "authorId": "usr_abc123def456",
    "folderId": "C2QujeCh8ZnC7al2InWR",
    "folderName": null,
    "createdAt": "2024-02-27T10:30:00.000Z",
    "updatedAt": "2024-02-27T10:30:00.000Z"
  },
  "versions": [
    {
      "versionId": "v1a2b3c4d5e6f7g8h9i0",
      "agentId": "p1q2r3s4t5u6v7w8x9y0z1a2",
      "versionName": "Customer Support Agent v1",
      "state": "staging",
      "isPublished": false,
      "version": 1,
      "createdAt": "2024-02-27T10:30:00.000Z"
    }
  ]
}
{}
{}
{}
statusCode
number
default:"500"
message
string
default:"Internal Server Error"
{
  "statusCode": 500,
  "message": "Internal Server Error"
}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/agent-studio/agent' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "C2QujeCh8ZnC7al2InWR",
  "name": "Customer Support Agent",
  "description": "AI agent specialized in handling customer inquiries and support tickets",
  "agencyId": "gjL2sFNXJfJYa3d2OYSN",
  "authorId": "usr_abc123def456",
  "authorName": "John Doe",
  "authorEmail": "john@example.com",
  "status": "active",
  "version": {
    "versionName": "Version 1",
    "description": "Initial version",
    "nodes": [],
    "edges": [],
    "uiNodes": [],
    "uiEdges": [],
    "globalVariables": [],
    "inputVariables": [],
    "runtimeVariables": [],
    "scopes": []
  },
  "nodes": [],
  "edges": []
}'
const response = await fetch('https://services.leadconnectorhq.com/agent-studio/agent', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"locationId": "C2QujeCh8ZnC7al2InWR", "name": "Customer Support Agent", "description": "AI agent specialized in handling customer inquiries and support tickets", "agencyId": "gjL2sFNXJfJYa3d2OYSN", "authorId": "usr_abc123def456", "authorName": "John Doe", "authorEmail": "john@example.com", "status": "active", "version": {"versionName": "Version 1", "description": "Initial version", "nodes": [], "edges": [], "uiNodes": [], "uiEdges": [], "globalVariables": [], "inputVariables": [], "runtimeVariables": [], "scopes": []}, "nodes": [], "edges": []}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'POST',
    'https://services.leadconnectorhq.com/agent-studio/agent',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"locationId": "C2QujeCh8ZnC7al2InWR", "name": "Customer Support Agent", "description": "AI agent specialized in handling customer inquiries and support tickets", "agencyId": "gjL2sFNXJfJYa3d2OYSN", "authorId": "usr_abc123def456", "authorName": "John Doe", "authorEmail": "john@example.com", "status": "active", "version": {"versionName": "Version 1", "description": "Initial version", "nodes": [], "edges": [], "uiNodes": [], "uiEdges": [], "globalVariables": [], "inputVariables": [], "runtimeVariables": [], "scopes": []}, "nodes": [], "edges": []},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/agent-studio/agent');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'locationId': 'C2QujeCh8ZnC7al2InWR', 'name': 'Customer Support Agent', 'description': 'AI agent specialized in handling customer inquiries and support tickets', 'agencyId': 'gjL2sFNXJfJYa3d2OYSN', 'authorId': 'usr_abc123def456', 'authorName': 'John Doe', 'authorEmail': 'john@example.com', 'status': 'active', 'version': {'versionName': 'Version 1', 'description': 'Initial version', 'nodes': [], 'edges': [], 'uiNodes': [], 'uiEdges': [], 'globalVariables': [], 'inputVariables': [], 'runtimeVariables': [], 'scopes': []}, 'nodes': [], 'edges': []}),
]);
$data = json_decode(curl_exec($ch), true);